Partial Update Bank Transaction
curl --request PATCH \
--url https://api.meetcampfire.com/ca/api/transaction/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_transaction_id": "<string>",
"currency": "<string>",
"amount": 0,
"amount_native": 0,
"posted_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"note": "<string>",
"bank_description": "<string>",
"external_memo": "<string>",
"merchant_id": "<string>",
"merchant_name": "<string>",
"merchant_nickname": "<string>",
"kind": "<string>",
"excluded": true,
"assigned": true,
"metadata": null,
"account": 123
}
'import requests
url = "https://api.meetcampfire.com/ca/api/transaction/{id}"
payload = {
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_transaction_id": "<string>",
"currency": "<string>",
"amount": 0,
"amount_native": 0,
"posted_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"note": "<string>",
"bank_description": "<string>",
"external_memo": "<string>",
"merchant_id": "<string>",
"merchant_name": "<string>",
"merchant_nickname": "<string>",
"kind": "<string>",
"excluded": True,
"assigned": True,
"metadata": None,
"account": 123
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transaction_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
external_transaction_id: '<string>',
currency: '<string>',
amount: 0,
amount_native: 0,
posted_at: '2023-11-07T05:31:56Z',
status: '<string>',
note: '<string>',
bank_description: '<string>',
external_memo: '<string>',
merchant_id: '<string>',
merchant_name: '<string>',
merchant_nickname: '<string>',
kind: '<string>',
excluded: true,
assigned: true,
metadata: null,
account: 123
})
};
fetch('https://api.meetcampfire.com/ca/api/transaction/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"is_deleted": false,
"deleted_at": "2023-11-07T05:31:56Z",
"account_name": "<string>",
"entity_name": "<string>",
"date_month": "<string>",
"date_year": "<string>",
"journal": 123,
"journal_order": "<string>",
"intercompany_journal": 123,
"reconciliation_report": 123,
"reconciliation_report_ending_date": "2023-12-25",
"last_modified_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"customer": 123,
"account": 123,
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_transaction_id": "<string>",
"currency": "<string>",
"amount": 0,
"amount_native": 0,
"posted_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"note": "<string>",
"bank_description": "<string>",
"external_memo": "<string>",
"merchant_id": "<string>",
"merchant_name": "<string>",
"merchant_nickname": "<string>",
"kind": "<string>",
"excluded": true,
"assigned": true,
"metadata": null
}Cash Management
Partial Update Bank Transaction
PATCH
/
ca
/
api
/
transaction
/
{id}
Partial Update Bank Transaction
Authorizations
Token-based authentication with required prefix "Token"
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Maximum string length:
200Maximum string length:
3Required range:
-1000000000000000000 < x < 1000000000000000000Required range:
-1000000000000000000 < x < 1000000000000000000Maximum string length:
250Maximum string length:
1024Response
200 - application/json
Maximum string length:
200Maximum string length:
3Required range:
-1000000000000000000 < x < 1000000000000000000Required range:
-1000000000000000000 < x < 1000000000000000000Maximum string length:
250Maximum string length:
1024⌘I